<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Row Math</TITLE>
<link href="suifmath_9.html" rel=Next>
<link href="suifmath_7.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_7.html">previous</A>, <A HREF="suifmath_9.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC8" HREF="suifmath_toc.html#TOC8">Row Math</A></H3>
<P>
<A NAME="IDX160"></A>
<A NAME="IDX161"></A>

</P>
<P>
Many of the mathematical functions that are available for matrices are
also applicable to a single row of integers. 
In the following list, the symbols <VAR>a</VAR> and <VAR>b</VAR> are of the
class <VAR>integer_row</VAR> and <VAR>x</VAR>, <VAR>i</VAR> and <VAR>j</VAR> are
integers and <VAR>o</VAR> is a boolean.   

</P>
<DL COMPACT>

<DT><CODE>x = a[i];</CODE>
<DD>
<DT><CODE>a[i] = y;</CODE>
<DD>
Read and modify the <VAR>i</VAR>-th element  of the row <VAR>a</VAR>.
<A NAME="IDX162"></A>
<A NAME="IDX163"></A>

<DT><CODE>o = (a == b);</CODE>
<DD>
Are rows <VAR>a</VAR> and <VAR>b</VAR> are identical?  (<CODE>!=</CODE> is also available)
<A NAME="IDX164"></A>
<A NAME="IDX165"></A>
<A NAME="IDX166"></A>

<DT><CODE>c = a + b;</CODE>
<DD>
Add the corresponding elements of the two rows <VAR>a</VAR> and <VAR>b</VAR>, and
put the results in <VAR>C</VAR>. 
<A NAME="IDX167"></A>
<A NAME="IDX168"></A>

<DT><CODE>c = a - b;</CODE>
<DD>
Subtract the corresponding elements of the two rows <VAR>a</VAR> and
<VAR>b</VAR>, and put the results in <VAR>C</VAR>. 
<A NAME="IDX169"></A>
<A NAME="IDX170"></A>

<DT><CODE>c = a * b;</CODE>
<DD>
Multiply the corresponding elements of <VAR>a</VAR> and <VAR>b</VAR>, and put
the results in <VAR>c</VAR>.  
<A NAME="IDX171"></A>
<A NAME="IDX172"></A>

<DT><CODE>c += a;</CODE>
<DD>
Add the corresponding elements of <VAR>a</VAR> to the row <VAR>c</VAR>.
<A NAME="IDX173"></A>
<A NAME="IDX174"></A>

<DT><CODE>c -= a;</CODE>
<DD>
Subtract the corresponding elements of <VAR>a</VAR> from the row <VAR>c</VAR>.
<A NAME="IDX175"></A>
<A NAME="IDX176"></A>

<DT><CODE>c *= a;</CODE>
<DD>
Multiply the elements of <VAR>c</VAR> by the corresponding elements of <VAR>a</VAR>.
<A NAME="IDX177"></A>
<A NAME="IDX178"></A>

<DT><CODE>c = a + x;</CODE>
<DD>
Add the integer <VAR>x</VAR> to each element of <VAR>a</VAR>, and put the results in
<VAR>c</VAR>. 
<A NAME="IDX179"></A>
<A NAME="IDX180"></A>

<DT><CODE>c = a - x;</CODE>
<DD>
Subtract the integer <VAR>x</VAR> form each element of <VAR>a</VAR>, and put
the results in <VAR>c</VAR>. 
<A NAME="IDX181"></A>
<A NAME="IDX182"></A>

<DT><CODE>c = a * x;</CODE>
<DD>
Multiply each element of <VAR>a</VAR> by the integer <VAR>x</VAR>, and put
the results in <VAR>c</VAR>. 
<A NAME="IDX183"></A>
<A NAME="IDX184"></A>

<DT><CODE>c = a / x;</CODE>
<DD>
Divide each element of <VAR>a</VAR> by the integer <VAR>x</VAR>, and put the
results in <VAR>c</VAR>.
<A NAME="IDX185"></A>
<A NAME="IDX186"></A>

<DT><CODE>c += x;</CODE>
<DD>
Add the integer <VAR>x</VAR> to each element of <VAR>c</VAR>.
<A NAME="IDX187"></A>
<A NAME="IDX188"></A>

<DT><CODE>c -= x;</CODE>
<DD>
Subtract the integer <VAR>x</VAR> from each element of <VAR>c</VAR>.
<A NAME="IDX189"></A>
<A NAME="IDX190"></A>

<DT><CODE>c *= x;</CODE>
<DD>
Multiply each element of <VAR>a</VAR> by the integer <VAR>x</VAR>.
<A NAME="IDX191"></A>
<A NAME="IDX192"></A>

<DT><CODE>c /= x;</CODE>
<DD>
Divide each element of <VAR>a</VAR> by the integer <VAR>x</VAR>.
<A NAME="IDX193"></A>
<A NAME="IDX194"></A>
</DL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_7.html">previous</A>, <A HREF="suifmath_9.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
